package com.zd.laboratory.mapper;

import java.util.List;

import com.zd.laboratory.domain.LabRiskPlanSensorRelation;
import org.apache.ibatis.annotations.Param;

/**
 * 风险管理和传感器关联Mapper接口
 *
 * @author zd
 * @date 2021-09-03
 */
public interface LabRiskPlanSensorRelationMapper {
    /**
     * 查询风险管理和传感器关联
     *
     * @param id 风险管理和传感器关联主键
     * @return 风险管理和传感器关联
     */
    public LabRiskPlanSensorRelation selectLabRiskPlanSensorRelationById(Long id);

    /**
     * 查询风险管理和传感器关联列表
     *
     * @param labRiskPlanSensorRelation 风险管理和传感器关联
     * @return 风险管理和传感器关联集合
     */
    public List<LabRiskPlanSensorRelation> selectLabRiskPlanSensorRelationList(LabRiskPlanSensorRelation labRiskPlanSensorRelation);

    /**
     * 查询风险管理和传感器关联列表滤过查询自己
     *
     * @param labRiskPlanSensorRelation 风险管理和传感器关联
     * @return 风险管理和传感器关联集合
     */
    public List<LabRiskPlanSensorRelation> selectLabRiskPlanSensorRelationListNoSelf(LabRiskPlanSensorRelation labRiskPlanSensorRelation);


    /**
     * 新增风险管理和传感器关联
     *
     * @param labRiskPlanSensorRelation 风险管理和传感器关联
     * @return 结果
     */
    public int insertLabRiskPlanSensorRelation(LabRiskPlanSensorRelation labRiskPlanSensorRelation);

    /**
     * 修改风险管理和传感器关联
     *
     * @param labRiskPlanSensorRelation 风险管理和传感器关联
     * @return 结果
     */
    public int updateLabRiskPlanSensorRelation(LabRiskPlanSensorRelation labRiskPlanSensorRelation);

    /**
     * 删除风险管理和传感器关联
     *
     * @param id 风险管理和传感器关联主键
     * @return 结果
     */
    public int deleteLabRiskPlanSensorRelationById(Long id);

    /**
     * 批量删除风险管理和传感器关联
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteLabRiskPlanSensorRelationByIds(Long[] ids);

    int insertOrUpdateLabRiskPlanSensorRelation(@Param("entities") List<LabRiskPlanSensorRelation> entities);

    List<LabRiskPlanSensorRelation> selectLabRiskPlanSensorRelationByRiskPlanIdId(Long id);

    int deleteByPlanId(Long riskPlanId);
}
